~alpine/aports

This thread contains a patchset. You're looking at the original emails, but you may wish to use the patch review UI. Review patch
1

[alpine-aports] [PATCH] testing/cantata: new aport

Olivier Mauras <olivier@mauras.ch>
Details
Message ID
<a98f0cca8c4cb4a8aa27bf81938b9b23@core-hosting.net>
Sender timestamp
1427530228
DKIM signature
missing
Download raw message
 

Cantata is a Qt graphical client for MPD. 

From
8f0e9a0253b0b1d5eb833c3b3dcd3f6251abe1a5 Mon Sep 17 00:00:00 2001
From:
Olivier Mauras <olivier@mauras.ch>
Date: Sat, 28 Mar 2015 09:04:39
+0100
Subject: testing/cantata: New
aport

https://code.google.com/p/cantata/
A Qt graphical client for
MPD.

diff --git a/testing/cantata/APKBUILD
b/testing/cantata/APKBUILD
new file mode 100644
index
0000000..71eebd3
--- /dev/null
+++ b/testing/cantata/APKBUILD
@@ -0,0
+1,46 @@
+# Contributor: Olivier Mauras <olivier@mauras.ch>
+#
Maintainer:
+pkgname=cantata
+pkgver=1.5.2
+pkgrel=0
+pkgdesc="Qt based
graphical client for
MPD"
+url="https://code.google.com/p/cantata/"
+arch="all"
+license="GPLv3"
+depends=""
+depends_dev="qt-dev
ffmpeg-dev taglib-dev mpg123-dev"
+makedepends="cmake
$depends_dev"
+install=""
+subpackages=""
+source="$pkgname-$pkgver.tar.bz2::https://drive.google.com/uc?export=download&id=0Bzghs6gQWi60LV9rM3RMQk85Z1E"
+
+_builddir=$srcdir/$pkgname-$pkgver
+prepare()
{
+ # Apply patches
+ cd "$_builddir"
+ for i in $source; do
+ case $i
in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+
done
+}
+
+build() {
+ cd "$_builddir"
+ mkdir build
+ cd build
+ cmake
..
+ make
+}
+
+package() {
+ cd "$_builddir/build"
+ make
DESTDIR="$pkgdir" install || return 1
+ mv $pkgdir/usr/local/share/*
$pkgdir/usr/share/
+ rm -r
$pkgdir/usr/local
+}
+
+md5sums="0b29d30f1b03ecac23eb608309fbeaa1
cantata-1.5.2.tar.bz2"
+sha256sums="4de985b74597c4c3936982437ea562711d08c37d318b61e04f5c07af55f52c5f
cantata-1.5.2.tar.bz2"
+sha512sums="84314758a936d5795a05cade68fe86df90c83b7fae78152bd60ae8b77d3cb71db6e37f0e30d49aba60b5205aea794729357051819d2d806e0a21701a1e0c78ab
cantata-1.5.2.tar.bz2"
+
-- 
cgit v0.10.1
---
Direct link:
http://git.mauras.ch/aports/patch/?id=8f0e9a0253b0b1d5eb833c3b3dcd3f6251abe1a5
Natanael Copa <ncopa@alpinelinux.org>
Details
Message ID
<20150330164457.0c591299@ncopa-desktop.alpinelinux.org>
In-Reply-To
<a98f0cca8c4cb4a8aa27bf81938b9b23@core-hosting.net> (view parent)
Sender timestamp
1427726697
DKIM signature
missing
Download raw message
On Sat, 28 Mar 2015 10:10:28 +0200
Olivier Mauras <olivier@mauras.ch> wrote:

>  
> 
> Cantata is a Qt graphical client for MPD. 

applied.

thanks!

-nc


PS. i think you can do git format-patch -1 and add the patch as
attachment if you want. roundcube seems to mangle it.



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---
Reply to thread Export thread (mbox)